<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 16/7/2018
 * Time: 11:24 PM
 */


include '../comun/validarSesion.php';
include '../comun/uploadImage.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    $ImageUploader = new uploadImage();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['titulo']) && isset($_REQUEST['descripcion']) && isset($_REQUEST['enlace'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $reglamento = R::dispense('reglamento');
            $reglamento->titulo = $_REQUEST['titulo'];
            $reglamento->descripcion = $_REQUEST['descripcion'];
            $reglamento->enlace = $_REQUEST['enlace'];
            $reglamento->id_condominio = $condominio["condominio_id"];
            $reglamento->id_autor = $creadoPor;
            $reglamento->fechaRegistro = date('Y-m-d H:i:s');
            $reglamento->fechaModificacion = date('Y-m-d H:i:s');
            $reglamento->estado = 1;
            $id = R::store($reglamento);
            include '../comun/mensajeCreado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}